> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.yarncommandattribute/yarn.unity.yarncommandattribute.injector.md).

# Injector

Property in [YarnCommandAttribute](/2.2/api/csharp/yarn.unity/yarn.unity.yarncommandattribute.md)

## Summary

Override the state injector for this command only.

```csharp
public string Injector { get; set; }
```

## Remarks

If not defined, will use the method marked by [YarnStateInjectorAttribute](/2.2/api/csharp/yarn.unity/yarn.unity.yarnstateinjectorattribute.md) on the class, or if that is not defined and the class subclasses `MonoBehaviour`, using `UnityEngine.GameObject.Find(string)`.

If none of those conditions are true, but the function is not static, an error will be thrown. However, if the function is indeed static, this parameter will be ignored.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.yarncommandattribute/yarn.unity.yarncommandattribute.injector.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
